Bug 24093 - Mono 3.10 build fails on CentOS 5.11 amd64
Summary: Mono 3.10 build fails on CentOS 5.11 amd64
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-10-28 04:30 UTC by Boler Guo
Modified: 2018-04-05 19:45 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Boler Guo 2014-10-28 04:30:14 UTC
make  all-am
make[1]: Entering directory `/home/fxUser/aspnet/mono-3.10.0/mono/mini'
  CCLD     libmonoboehm-2.0.la
/usr/bin/ld: ./.libs/libmini.a(libmini_la-mini.o): relocation R_X86_64_PC32 against `mono_cross_helpers_run' can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld: final link failed: Bad value
collect2: ld returned 1 exit status
make[1]: *** [libmonoboehm-2.0.la] Error 1
make[1]: Leaving directory `/home/fxUser/aspnet/mono-3.10.0/mono/mini'
make: *** [all] Error 2
Comment 1 Ludovic Henry 2018-02-28 22:06:34 UTC
Can you still reproduce with latest version of Mono? Thank you.
Comment 2 Ludovic Henry 2018-04-05 19:45:53 UTC
Please reopen if you can still reproduce. Thank you